unit uGUI;

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms, Dialogs,
  StdCtrls, ExtCtrls,
  uWuerfel;

type
  TGUI = class(TForm)
    PTitel: TPanel;
    GBWuerfel: TGroupBox;
    GBKonto: TGroupBox;
    PWuerfelA: TPanel;
    PWuerfelB: TPanel;
    PWuerfelC: TPanel;
    PKonto: TPanel;
    RGSpielbrett: TRadioGroup;
    BGewinnVerbuchen: TButton;
    BWuerfelWerfen: TButton;
    BEinsatzZahlen: TButton;
    procedure FormCreate(Sender: TObject);
    procedure RGSpielbrettClick(Sender: TObject);
    procedure BGewinnVerbuchenClick(Sender: TObject);
    procedure BWuerfelWerfenClick(Sender: TObject);
    procedure BEinsatzZahlenClick(Sender: TObject);
    procedure FormDestroy(Sender: TObject);
  private
    { Private-Deklarationen }
    wuerfelA, wuerfelB, wuerfelC: TWuerfel;
  public
    { Public-Deklarationen }
  end;

var
  GUI: TGUI;


implementation

{$R *.DFM}

procedure TGUI.FormCreate(Sender: TObject);
begin
  randomize;
  // Erzeugung der Wrfel
  wuerfelA := TWuerfel.create;
  wuerfelB := TWuerfel.create;
  wuerfelC := TWuerfel.create;
  // Aktualisierung der Anzeige
  PWuerfelA.Caption  := IntToStr(wuerfelA.getAugen);
  PWuerfelB.Caption  := IntToStr(wuerfelB.getAugen);
  PWuerfelC.Caption  := IntToStr(wuerfelC.getAugen);
end;


procedure TGUI.RGSpielbrettClick(Sender: TObject);
begin
  // ..
end;

procedure TGUI.BGewinnVerbuchenClick(Sender: TObject);
begin
  // ...
end;

procedure TGUI.BWuerfelWerfenClick(Sender: TObject);
begin
  // Aktualisierung der Modell-Objekte
  wuerfelA.werfen;
  wuerfelB.werfen;
  wuerfelC.werfen;
  // Aktualisierung der Anzeige
  PWuerfelA.Caption  := IntToStr(wuerfelA.getAugen);
  PWuerfelB.Caption  := IntToStr(wuerfelB.getAugen);
  PWuerfelC.Caption  := IntToStr(wuerfelC.getAugen);
end;

procedure TGUI.BEinsatzZahlenClick(Sender: TObject);
begin
  // ...
end;

procedure TGUI.FormDestroy(Sender: TObject);
begin
  wuerfelC.free;
  wuerfelB.free;
  wuerfelA.free;
end;

end.
