unit uModuloZaehler;

interface

type
  TModuloZaehler = class
  private
    max: integer;
    stand: integer;
  public
    constructor create(m: integer);
    procedure setStand(s: integer);
    procedure nullSetzen;
    procedure weiterZaehlen;
    function getStand: integer;
  end;

implementation

constructor TModuloZaehler.create(m: integer);
begin
  max := m;
  stand := 0;
end;

procedure TModuloZaehler.setStand(s: integer);
begin
  stand := s;
end;

procedure TModuloZaehler.nullSetzen;
begin
  stand := 0;
end;

procedure TModuloZaehler.weiterZaehlen;
begin
  if stand < max then
    stand := stand+1
  else
    stand := 0;
end;

function TModuloZaehler.getStand: integer;
begin
  result := stand;
end;

end.


